Subject: Ticket Assigned - Landmark Group
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 02 Mar 2021 15:59:55 +0000

Hi Arunjay Raj Chouhan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Landmark Group Good evening,

I made an order worth 271.30 SAR on 26/02/2021, due to some technical issues the online transaction failed but the amount got deducted from my debit card.
After which I made another transaction for same order worth 276 SAR and it was successful.

I called the bank to check with the failed transaction and also visited the bank personally, but the bank says there is no problem with the bank and advise me to check with the vendor with whom you were doing online transactions.

Please help me out in solving this matter as soon as possible. 

Regards https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2178755